[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout&utm_content=banner)

# KendoReact Layout Library for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   It contains both free and premium KendoReact components and tools. To use the premium components, you will need to [purchase a license](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) or register for a [free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout). You can use the free components without having to sign up or get a license key.
> -   If you're looking for free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).
> -   If you have an active license, visit the [KendoReact My License page](https://www.telerik.com/kendo-react-ui/components/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) to learn how to configure your KendoReact licensing.
> -   Installing and working with this package indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout).
> -   The 30-day free trial gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!
>
> [Start using KendoReact](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) and speed up your development process!

The React Layout components, part of KendoReact, enable you to create a perceptive and intuitive layout of web projects and provide an easier navigation.

How to start:

```sh
npm i @progress/kendo-react-layout
```

What's in this package:

-   [React Layout Components Library Features](#react-layout-library-shared-features)
-   [React ActionSheet component (free)](#react-actionsheet-component)
-   [React AppBar component (free)](#react-appbar-component)
-   [React Avatar component (free)](#react-avatar-component)
-   [React BottomNavigation component (free)](#react-bottomnavigation-component)
-   [React Breadcrumb component (free)](#react-breadcrumb-component)
-   [React Card component (free)](#react-card-component)
-   [React ContextMenu component (free)](#react-contextmenu-component)
-   [React Drawer component (free)](#react-drawer-component)
-   [React ExpansionPanel component (free)](#react-expansionpanel-component)
-   [React GridLayout component (free)](#react-gridlayout-component)
-   [React Menu component (free)](#react-menu-component)
-   [React PanelBar component (free)](#react-panelbar-component)
-   [React Splitter component (premium)](#react-splitter-component)
-   [React StackLayout component (free)](#react-stacklayout-component)
-   [React Stepper component (free)](#react-stepper-component)
-   [React TabStrip component (free)](#react-tabstrip-component)
-   [React TileLayout component (free)](#react-tilelayout-component)
-   [React TimeLine component (premium)](#react-timeline-component)

Additional information:

-   [Support Options](#support-options)
-   [Resources](#resources)
-   [KendoReact Layout API](https://www.telerik.com/kendo-react-ui/components/layout/api)

## React Layout Components Library Features

Among the many features which the KendoReact Layout deliver are:

-   **Routing**&mdash;You can use most of the Layout components as a navigational component by wiring it with the React router.
-   **Data binding**&mdash;The layout components enables you to bind a data collection to them.
-   **Keyboard navigation**&mdash;You can interact with the layout components using only the keyboard.
-   **Custom Rendering**&mdash;You can replace the content of the layout components with custom elements.
-   **Accessibility support**&mdash;The Layout are compliant with WAI-ARIA and Section 508.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)&mdash;The KendoReact Layout, as well as all 100+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, and Default) and can be further customized to match your specific design guidelines.

## React ActionSheet Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact ActionSheet component](https://www.telerik.com/kendo-react-ui/components/layout/actionsheet?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) lets you display a

The ActionSheet component allows you to display a mobile-friendly quick menu with user actions. The options display in a modal view.

Key features:

-   **Items**&mdash;The ActionSheet enables you to configure the items based on specific project requirements.
-   **Animation**&mdash;You can add opening and closing animations to the ActionSheet.

How to use the ActionSheet layout in your apps (no data binding):

```tsx
import { ActionSheet, ActionSheetItem } from '@progress/kendo-react-layout';
...
/**
* Handle the open and close logic. Handle item selection.
*/
<ActionSheet open={open}>
    <ActionSheetItem text="Option 1" onClick={handleItemClick} />
    /**
    * Add as many ActionSheetItems as needed.
    */
</ActionSheet>
```

How to use the ActionSheet layout in your apps (simple data binding):

```tsx
import { ActionSheet, ActionSheetItemProps } from '@progress/kendo-react-layout';
...
/**
* Provide a list of actions to show in the ActionSheet. These must be provided in a format that matches ActionSheetItemProps.
* Handle the open and close logic. Handle item selection.
*/
<ActionSheet
    open={open}
    items={items}
/>
```

## React AppBar Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact AppBar component](https://www.telerik.com/kendo-react-ui/components/layout/appbar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) serves as the main navigation of your application, containing navigation elements and the title of the application or current page.

Key features:

-   **Positioning**&mdash;The AppBar can be positioned either at the top or bottom of any React application.
-   **Content Arrangement**&mdash;To assist with arranging the content of the React AppBar, there are several layout components like the Section, Spacing and Separator, which can be used to make the KendoReact AppBar fit any design.
-   **Responsive Design**&mdash;The KendoReact AppBar component can adhere to any responsive design rules provided by the React application.

How to use the AppBar layout in your apps:

```tsx
import {
    AppBar,
    AppBarSection,
    AppBarSpacer,
} from '@progress/kendo-react-layout';
...
<AppBar themeColor={color}>
    <AppBarSection>
      /**
      * Implement the sections in your AppBar. Add as many buttons or other elements as you need.
      */
    </AppBarSection>
    <AppBarSpacer/>
    /**
    * Implement as many sections, separated with AppBarSpacers as you need.
    */
</AppBar>
```

## React Avatar Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Avatar component](https://www.telerik.com/kendo-react-ui/components/layout/avatar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is a perfect for displaying images, icons or initials to represent people or other entities within your React applications.

How to use the Avatar layout in your apps:

```tsx
import { Avatar } from '@progress/kendo-react-layout';
...
<Avatar type="text|icon|image">
	/**
    * Wrap the Avatar around the image, icon, or text that you will want to display as an Avatar.
    */
</Avatar>
```

## React BottomNavigation Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact BottomNavigation component](https://www.telerik.com/kendo-react-ui/components/layout/bottomnavigation/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is the perfect navigation UI element for responsive web and mobile applications. Each navigation item within the React component features the ability to define a combination of icons and text to best illustrate where it leads.

Key features:

-   **Content Types**&mdash;Through a few simple configuration options, the items of the KendoReact Bottom Navigation component can be set up to show icons, text or a mix of both.
-   **Positioning**&mdash;Positioning HTML elements can be tricky, but the React Bottom Navigation component can be easily positioned through a single configuration option.
-   **Appearance**&mdash;Options like filling in each item with a solid color or just rendering an outline, as well as appearance options associated with success, warning, error, primary and more common scenarios let React developers make the React Bottom Navigation component fit any design requirements.

How to use the BottomNavigation layout in your apps:

```tsx
import { BottomNavigation } from '@progress/kendo-react-layout';
...
/**
* Provide a list of items to show in the BottomNavigation.
*/
<BottomNavigation
    items={items}
/>
```

## React Breadcrumb Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Breadcrumb component](https://www.telerik.com/kendo-react-ui/components/layout/breadcrumb/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) allows you to navigate within a folder structure or web page. It provides an easy way to navigate backwards by one or multiple steps.

How to use the Breadcrumb layout in your apps:

```tsx
import { Breadcrumb } from "@progress/kendo-react-layout";
...
/**
* Provide a list of items to show in the Breadcrumb.
*/
<Breadcrumb
    data={items}
/>
```

## React Card Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Card component](https://www.telerik.com/kendo-react-ui/components/layout/card/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) represents a common layout item in many modern design languages. The React Card component contains content and actions about a single subject and can work well on its own, as well as when combined with components like the KendoReact ListView to display a collection of cards.

Key features:

-   **Card Types**&mdash;While the KendoReact Card component has a default look -and -feel which can be customized to fit any UX requirements, it does also come with several built-in styles to cut down on the number of customizations needed.
-   **Action Buttons**&mdash;Every React Card has a dedicated area for action buttons related to the content.
-   **Layouts**&mdash;When rendering multiple KendoReact Card components, there are several built-in layouts to help display cards in various ways, including building a list from top to bottom as well as rendering the cards side-by-side.

How to use the Card layout in your apps:

```tsx
import {
    Card,
    CardHeader,
    CardTitle,
    CardSubtitle,
    CardBody,
    CardActions
} from '@progress/kendo-react-layout';
...
/**
* Provide an image for the CardImage part of the Card.
*/
<Card>
    <CardImage src={image} />
    <CardHeader>
        <CardTitle>Title</CardTitle>
        <CardSubtitle>Subtitle</CardSubtitle>
    </CardHeader>
    <CardBody>
        /**
        * The contens of the CardBody.
        */
    </CardBody>
    <CardActions>
        /**
        * The contens of the actions related to the Card.
        */
    </CardActions>
</Card>
```

## React ContextMenu Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact ContextMenu component](https://www.telerik.com/kendo-react-ui/components/layout/contextmenu?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) delivers a context menu that pops when a user right-clicks within the UI. It’s best used when you want to add common or advanced commands for the user to execute while preserving screen space for more important information.

How to use the ContextMenu layout in your apps:

```tsx
import {
    ContextMenu,
    MenuItem
} from '@progress/kendo-react-layout';
...
/**
* Handle the logic for showing the menu and item selection.
*/
<ContextMenu
    onSelect={handleOnSelect}
    show={show}
>
    <MenuItem text="Option" />
    /**
    * Provide as many menu items as needed.
    */
</ContextMenu>
```

## React Drawer Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Drawer component](https://www.telerik.com/kendo-react-ui/components/layout/drawer/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) offers a navigation that can be permanently displayed, shown and hidden on command, and offers various styles for presenting navigation items.

Key features:

-   **Display Modes**&mdash;The KendoReact Drawer component offers several display modes. This includes controlling if the React Drawer pushes content to the side as it expands or if it is displayed as an overlay on top of the content.
-   **Positioning**&mdash;Thanks to its position property, the KendoReact Drawer can be specified to be rendered in any position in relation to the page content.

How to use the Drawer layout in your apps:

```tsx
import {
    Drawer,
    DrawerContent
} from '@progress/kendo-react-layout';
...
/**
* Provide a list of items to show when the Drawer is expanded.
* Handle the logic for showing the menu and item selection.
*/
<Drawer
  expanded={expanded}
  position='end|start'
  mode='push|overlay'
  items={items}
  onSelect={handleSelect}
  >
  <DrawerContent>
    /**
    * Render the drawer content.
    */
  </DrawerContent>
</Drawer>
```

## React ExpansionPanel Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact ExpansionPanel component](https://www.telerik.com/kendo-react-ui/components/layout/expansionpanel?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) delivers an easy way for implementing what’s usually a tedious process—a context menu that pops when a user right-clicks on your UI. It’s best used when you want to add common or advanced commands for the user to execute while preserving screen space for more important information.

How to use the ExpansionPanel layout in your apps:

```tsx
import { ExpansionPanel, ExpansionPanelContent } from '@progress/kendo-react-layout';
...
<ExpansionPanel
  title="Expansion Panel Title"
  subtitle="Subtitle"
>
    <ExpansionPanelContent>
        /**
        * Render the content that shows when the panel is expanded.
        * You can also wrap the entire ExpansionPanelContent component in an animation.
        */
    </ExpansionPanelContent>
</ExpansionPanel>
```

## React GridLayout Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact GridLayout component](https://www.telerik.com/kendo-react-ui/components/layout/gridlayout/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) allows you to easily arrange the contents of the component in rows and columns in a grid structure.

How to use the GridLayout layout in your apps:

```tsx
import { GridLayout, GridLayoutItem } from '@progress/kendo-react-layout';
...
<GridLayout
    cols={[{width: 150}, {width: 150}]}
    gap={10}
>
    <GridLayoutItem>Item </GridLayoutItem>
    <GridLayoutItem>Item</GridLayoutItem>
</GridLayout>
```

## React Menu Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Menu component](https://www.telerik.com/kendo-react-ui/components/layout/menu/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is great to provide nice navigation for the web application. The component can have many sub-menu options making it very easy to navigate through applications with multiple levels of pages.

Key features:

-   **Menu Items**&mdash;The KendoReact Menu Items provide many customization options, making it easy to add additional elements like icons, images and more.
-   **Vertical Menu**&mdash;The KendoReact Menu is rendered horizontally by default, but it can render vertically by setting just a single property.
-   **Context Menu**&mdash;The ContextMenu gives the user a beautifully styled list of options for navigation or executing commands like, copy, paste, download etc.

How to use the Menu layout in your apps:

```tsx
import { Menu, MenuItem } from '@progress/kendo-react-layout';
...
<Menu>
    <MenuItem text="Item 1" />
    <MenuItem text="Item 2" />
</Menu>
```

## React PanelBar Component

> This is a KendoReact **premium component** and requires a commercial license or an active trial license.

[The KendoReact PanelBar component](https://www.telerik.com/kendo-react-ui/components/layout/panelbar/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is a great choice when we must show hierarchical expandable data.

Key features:

-   **Expand Modes**&mdash;The component provides two built-in expand modes, allowing the user to expand multiple elements at once, or only one.
-   **Animations**&mdash;The React PanelBar component comes with a wide variety of eye catching and slick animations. These result in more fluent transitions between sections.

How to use the PanelBar layout in your apps:

```tsx
import { PanelBar, PanelBarItem } from '@progress/kendo-react-layout';
...
<PanelBar>
  <PanelBarItem title="Item 1">
    /**
    * Render the contens shown within the panel.
    */
  </PanelBarItem>
  /**
  * Add as many PanelBarItems as needed.
  */
</PanelBar>
```

## React Splitter Component

> This is a KendoReact **premium component** and requires a commercial license or an active trial license.

[The KendoReact Splitter component](https://www.telerik.com/kendo-react-ui/components/layout/splitter/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) enables developers to define sections of a page in a column and row structure.

Key features:

-   **Panes**&mdash;Each content area of the React Splitter is a Pane, and each Pane has options to help define dimensions and allow for resizing, collapsing or scrolling on a pane-by-pane basis.
-   **Orientation**&mdash;The KendoReact Splitter allows for each Pane to be arranged either horizontally or vertically.

How to use the Splitter layout in your apps:

```tsx
import { Splitter, SplitterOnChangeEvent } from '@progress/kendo-react-layout';
...
/**
* Define your panes and their initial state.
* Handle the logic for pane resizing when the end user interacts with the Splitter.
*/
<Splitter
  panes={panes}
  onChange={onHorizontalChange}
>
  /**
  * Provide the content that will be used to populate the panes. For example: <h> or <div> elements. The number of provided elements must match the number of panes.
  */
</Splitter>
```

## React StackLayout Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact StackLayout component](https://www.telerik.com/kendo-react-ui/components/layout/stacklayout/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) allows you to easily align vertically or horizontally multiple elements in a stack.

How to use the StackLayout in your apps:

```tsx
import { StackLayout } from '@progress/kendo-react-layout';
...
<StackLayout>
    /**
    * Wrap the content that you need to show with the StackLayout component.
    */
</StackLayout>
```

## React Stepper Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Stepper component](https://www.telerik.com/kendo-react-ui/components/layout/stepper/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) enables developers to create a set of logical steps in sequential order and visualizes the progress throughout the steps.

Key features:

-   **Display Modes**&mdash;With the KendoReact Stepper component there are several ways to display each step. This includes simple steps numbered in sequential order, to using icons or custom text within each step, as well as providing labels underneath each step.
-   **Linear Mode**&mdash;There may be requirements that enforce a progression from the first to the last step in order, and this is where the linear mode of the KendoReact Stepper comes in to play.
-   **Orientation**&mdash;The KendoReact Stepper supports both horizontal and vertical orientations and can dynamically switch between them with a single configuration option.

How to use the Stepper layout in your apps:

```tsx
import { Stepper, StepperChangeEvent } from '@progress/kendo-react-layout';
...
/**
* Provide the items that you want to show in the Stepper.
* Handle the logic for step selection.
*/
<Stepper items={items} />
```

## React TabStrip Component

> This is a **free React component**&mdash;no sign-up or license required.

With [the KendoReact TabStrip component](https://www.telerik.com/kendo-react-ui/components/layout/tabstrip/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) you can display a collection of tabs each with its own associated content. Each tab within the KendoReact TabStrip component comes with multiple configuration options. This includes setting the text of the tabs, displaying or not displaying tabs on initial loading, setting the tab position, as well as implementing closable tabs.

How to use the TabStrip layout in your apps:

```tsx
import {
    TabStrip,
    TabStripSelectEventArguments,
    TabStripTab
    } from '@progress/kendo-react-layout';
...
/**
* Handle the logic for tab selection.
*/
<TabStrip onSelect={handleSelect}>
    <TabStripItem></TabStripItem>
    /**
    * Show as many TabStripItems as needed.
    */
   </TabStripItem>
</TabStrip>
```

## React TileLayout Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact TileLayout component](https://www.telerik.com/kendo-react-ui/components/layout/tilelayout/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is perfect for creating interactive dashboards using a single UI component with a flexible set of configuration options.

Key features:

-   **Tile Interactions**&mdash;With end-user interactivity being the primary driver of the component, the KendoReact TileLayout component gives users the flexibility of rearranging and resizing the available tiles.
-   **Tile Configuration Options**&mdash;The Tiles can be static, resized with a resize handler, dragged & dropped to change their location, as well as edited. The layout of the React TileLayout component is defined through a set number of columns and then the available Tile collection will auto-populate the available columns and rows within the TileLayout component.
-   **Auto Flows**&mdash;The KendoReact TileLayout component provides out-of-the-box defaults for how tiles should behave when they are placed within the component. In addition to the default AutoFlow, React developers can also customize the flow to their liking, based on the industry-standard CSS grid-auto-flow property.

How to use the TabStrip layout in your apps:

```tsx
import { TileLayout, TileLayoutRepositionEvent } from '@progress/kendo-react-layout';
...
/**
* Handle the logic for tile repositioning.
* Provide the content for the tiles that you want to show.
*/
<TileLayout
    columns={4}
    rowHeight={255}
    positions={data}
    gap={{ rows: 10, columns: 10 }}
    items={tiles}
    onReposition={handleReposition}
/>
```

## React Timeline Component

> This is a KendoReact **premium component** and requires a commercial license or an active trial license.

[The KendoReact Timeline component](https://www.telerik.com/kendo-react-ui/components/layout/timeline?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) enables you to display events in chronological order, making it suitable for showcasing company history or visualizing significant milestones. The component offers a horizontal and a vertical mode in which the events can be collapsed for a neat and structured view.

How to use the Timeline layout in your apps:

```tsx
import { Timeline } from '@progress/kendo-react-layout';
...
/**
* Provide the list of events that you want to show on the Timeline.
*/
<Timeline events={events} />
```

## Support Options

For any issues you might encounter while working with the KendoReact Layout, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support syste.](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Getting Started with the KendoReact Layout](https://www.telerik.com/kendo-react-ui/components/layout/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [API Reference of the KendoReact Layout](https://www.telerik.com/kendo-react-ui/components/layout/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-layout)

High-level component overview pages:

-   [React AppBar Component](https://www.telerik.com/kendo-react-ui/appbar)
-   [React Avatar Component](https://www.telerik.com/kendo-react-ui/avatar)
-   [React BottomNavigation Component](https://www.telerik.com/kendo-react-ui/bottomnavigation)
-   [React BreadCrumb Component](https://www.telerik.com/kendo-react-ui/breadcrumb)
-   [React Card Component](https://www.telerik.com/kendo-react-ui/card)
-   [React ContextMenu Component](https://www.telerik.com/kendo-react-ui/contextmenu)
-   [React Drawer Component](https://www.telerik.com/kendo-react-ui/drawer)
-   [React ExpansionPanel Component](https://www.telerik.com/kendo-react-ui/expansionpanel)
-   [React Grid Layout Component](https://www.telerik.com/kendo-react-ui/gridlayout)
-   [React Menu Component](https://www.telerik.com/kendo-react-ui/menu)
-   [React PanelBar Component](https://www.telerik.com/kendo-react-ui/panelbar)
-   [React Splitter Component](https://www.telerik.com/kendo-react-ui/splitter)
-   [React StackLayout Component](https://www.telerik.com/kendo-react-ui/stacklayout)
-   [React Stepper Component](https://www.telerik.com/kendo-react-ui/stepper)
-   [React TabStrip Component](https://www.telerik.com/kendo-react-ui/tabstrip)
-   [React TileLayout Component](https://www.telerik.com/kendo-react-ui/tilelayout)
-   [React Timeline Component](https://www.telerik.com/kendo-react-ui/timeline)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
